Problema al Instalar el Modulo Boleta / Factura Chilena para Punto de Venta

Estimados: Instale Odoo desde cero para instalar este modulo el cual descargue desde: https://github.com/dansanti/l10n_cl_dte_point_of_sale,

Al instalarlo, todos los modulos se instalan bien, excepto el de Point of sale arrojando el siguiente error:

Error:
Odoo Server Error

Traceback (most recent call last):
  File "/home/odoo11/odoo/odoo/models.py", line 967, in _validate_fields
    check(self)
  File "/home/odoo11/odoo/odoo/addons/base/ir/ir_ui_view.py", line 338, in _check_xml
    self.postprocess_and_fields(view.model, view_doc, view.id)
  File "/home/odoo11/odoo/odoo/addons/base/ir/ir_ui_view.py", line 1011, in postprocess_and_fields
    self.raise_view_error(message, view_id)
  File "/home/odoo11/odoo/odoo/addons/base/ir/ir_ui_view.py", line 506, in raise_view_error
    raise ValueError(message)
ValueError: El campo `secuencia_boleta_exenta` no existe

Contexto del error:
Vista `pos.config.sii.form`
[view_id: 980, xml_id: n/a, model: pos.config, parent_id: 791]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/odoo11/odoo/odoo/tools/convert.py", line 741, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/home/odoo11/odoo/odoo/tools/convert.py", line 651, in _tag_record
    id = self.env(context=rec_context)['ir.model.data']._update(rec_model, self.module, res, rec_id or False, not self.isnoupdate(data_node), noupdate=self.isnoupdate(data_node), mode=self.mode)
  File "/home/odoo11/odoo/odoo/addons/base/ir/ir_model.py", line 1469, in _update
    record = record.create(values)
  File "/home/odoo11/odoo/odoo/addons/base/ir/ir_ui_view.py", line 401, in create
    return super(View, self).create(self._compute_defaults(values))
  File "/home/odoo11/odoo/odoo/models.py", line 3286, in create
    self._fields[key].determine_inverse(record)
  File "/home/odoo11/odoo/odoo/fields.py", line 1078, in determine_inverse
    getattr(records, self.inverse)()
  File "/home/odoo11/odoo/odoo/addons/base/ir/ir_ui_view.py", line 269, in _inverse_arch
    view.write(data)
  File "/home/odoo11/odoo/odoo/addons/base/ir/ir_ui_view.py", line 417, in write
    return super(View, self).write(self._compute_defaults(vals))
  File "/home/odoo11/odoo/odoo/models.py", line 3008, in write
    self._write(old_vals)
  File "/home/odoo11/odoo/odoo/models.py", line 3161, in _write
    self._validate_fields(vals)
  File "/home/odoo11/odoo/odoo/models.py", line 971, in _validate_fields
    raise ValidationError("%s\n\n%s" % (_("Error while validating constraint"), tools.ustr(e)))
odoo.exceptions.ValidationError: ('Error mientras se validaban las restricciones\n\nEl campo `secuencia_boleta_exenta` no existe\n\nContexto del error:\nVista `pos.config.sii.form`\n[view_id: 980, xml_id: n/a, model: pos.config, parent_id: 791]', None)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/odoo11/odoo/odoo/http.py", line 646, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/home/odoo11/odoo/odoo/http.py", line 307, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "/home/odoo11/odoo/odoo/tools/pycompat.py", line 87, in reraise
    raise value
  File "/home/odoo11/odoo/odoo/http.py", line 683, in dispatch
    result = self._call_function(**self.params)
  File "/home/odoo11/odoo/odoo/http.py", line 339, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/home/odoo11/odoo/odoo/service/model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
  File "/home/odoo11/odoo/odoo/http.py", line 332, in checked_call
    result = self.endpoint(*a, **kw)
  File "/home/odoo11/odoo/odoo/http.py", line 927, in __call__
    return self.method(*args, **kw)
  File "/home/odoo11/odoo/odoo/http.py", line 512, in response_wrap
    response = f(*args, **kw)
  File "/home/odoo11/odoo/addons/web/controllers/main.py", line 928, in call_button
    action = self._call_kw(model, method, args, {})
  File "/home/odoo11/odoo/addons/web/controllers/main.py", line 916, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/home/odoo11/odoo/odoo/api.py", line 689, in call_kw
    return call_kw_multi(method, model, args, kwargs)
  File "/home/odoo11/odoo/odoo/api.py", line 680, in call_kw_multi
    result = method(recs, *args, **kwargs)
  File "<decorator-gen-39>", line 2, in button_immediate_install
  File "/home/odoo11/odoo/odoo/addons/base/module/module.py", line 71, in check_and_log
    return method(self, *args, **kwargs)
  File "/home/odoo11/odoo/odoo/addons/base/module/module.py", line 448, in button_immediate_install
    return self._button_immediate_function(type(self).button_install)
  File "/home/odoo11/odoo/odoo/addons/base/module/module.py", line 541, in _button_immediate_function
    modules.registry.Registry.new(self._cr.dbname, update_module=True)
  File "/home/odoo11/odoo/odoo/modules/registry.py", line 85, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/home/odoo11/odoo/odoo/modules/loading.py", line 343, in load_modules
    loaded_modules, update_module)
  File "/home/odoo11/odoo/odoo/modules/loading.py", line 242, in load_marked_modules
    loaded, processed = load_module_graph(cr, graph, progressdict, report=report, skip_modules=loaded_modules, perform_checks=perform_checks)
  File "/home/odoo11/odoo/odoo/modules/loading.py", line 156, in load_module_graph
    _load_data(cr, module_name, idref, mode, kind='data')
  File "/home/odoo11/odoo/odoo/modules/loading.py", line 94, in _load_data
    tools.convert_file(cr, module_name, filename, idref, mode, noupdate, kind, report)
  File "/home/odoo11/odoo/odoo/tools/convert.py", line 788, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/home/odoo11/odoo/odoo/tools/convert.py", line 849, in convert_xml_import
    obj.parse(doc.getroot(), mode=mode)
  File "/home/odoo11/odoo/odoo/tools/convert.py", line 748, in parse
    exc_info[2]
  File "/home/odoo11/odoo/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/home/odoo11/odoo/odoo/tools/convert.py", line 741, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/home/odoo11/odoo/odoo/tools/convert.py", line 651, in _tag_record
    id = self.env(context=rec_context)['ir.model.data']._update(rec_model, self.module, res, rec_id or False, not self.isnoupdate(data_node), noupdate=self.isnoupdate(data_node), mode=self.mode)
  File "/home/odoo11/odoo/odoo/addons/base/ir/ir_model.py", line 1469, in _update
    record = record.create(values)
  File "/home/odoo11/odoo/odoo/addons/base/ir/ir_ui_view.py", line 401, in create
    return super(View, self).create(self._compute_defaults(values))
  File "/home/odoo11/odoo/odoo/models.py", line 3286, in create
    self._fields[key].determine_inverse(record)
  File "/home/odoo11/odoo/odoo/fields.py", line 1078, in determine_inverse
    getattr(records, self.inverse)()
  File "/home/odoo11/odoo/odoo/addons/base/ir/ir_ui_view.py", line 269, in _inverse_arch
    view.write(data)
  File "/home/odoo11/odoo/odoo/addons/base/ir/ir_ui_view.py", line 417, in write
    return super(View, self).write(self._compute_defaults(vals))
  File "/home/odoo11/odoo/odoo/models.py", line 3008, in write
    self._write(old_vals)
  File "/home/odoo11/odoo/odoo/models.py", line 3161, in _write
    self._validate_fields(vals)
  File "/home/odoo11/odoo/odoo/models.py", line 971, in _validate_fields
    raise ValidationError("%s\n\n%s" % (_("Error while validating constraint"), tools.ustr(e)))
odoo.tools.convert.ParseError: "Error mientras se validaban las restricciones

El campo `secuencia_boleta_exenta` no existe

Contexto del error:
Vista `pos.config.sii.form`
[view_id: 980, xml_id: n/a, model: pos.config, parent_id: 791]
None" while parsing /home/odoo11/odoo/addons/l10n_cl_dte_point_of_sale/views/pos_config.xml:3, near

<record id="view_pos_config_form" model="ir.ui.view">
          <field name="model">pos.config</field>
          <field name="name">pos.config.sii.form</field>
          <field name="inherit_id" ref="point_of_sale.pos_config_view_form"/>
          <field name="arch" type="xml">
            <div id="iface_invoicing" position="after">
              <div class="col-xs-12 col-md-6 o_setting_box" id="iface_boleta">
                  <div class="o_setting_right_pane">
                      <h3>Secuencias de Boleta</h3>
                      <div class="text-muted" id="journal_document_class_id_label">
                         Imprimir Boletas
                      </div>
                      <div class="content-group mt16">
                          <div class="row mt16">
                              <label string="Secuencias de Boleta" for="secuencia_boleta" class="col-md-3 o_light_label"/>
                              <field name="secuencia_boleta" options="{'no_create': True}" domain="[('journal_id','=', journal_id),('sii_document_class_id.sii_code', 'in', [39])]"/>
                          </div>
                          <div class="row mt16">
                            <label string="Secuencias de Boleta Exenta" for="secuencia_boleta_exenta" class="col-md-3 o_light_label"/>
                            <field name="secuencia_boleta_exenta" options="{'no_create': True}" domain="[('journal_id','=', journal_id),('sii_document_class_id.sii_code', 'in', [41])]"/>
                          </div>
                          <div class="row mt16">
                              <label string="Ticket?" for="ticket" class="col-md-3 o_light_label"/>
                              <field name="ticket"/>
                              <label string="Marcar por defecto" for="marcar" class="col-md-3 o_light_label"/>
                              <field name="marcar" widget="radio"/>
                          </div>
                      </div>
                  </div>
              </div>
            </div>
          </field>
      </record>

Trate de ver el error en el codigo, pero al parece esa variable no es instalada en los modulos anteriores como el de Base report, facturacion o chat_account.

Saben a que se puede deber?, ya que estoy instalando la version mas reciente del modulo.

Gracias y Saludos.

Nelly Becerra
Nelly Becerra
7
| 0 0 0
Preguntado en 22-01-18 15:04
0
voto
1250 Vistas

Su respuesta

Trate por favor de dar una respuesta sustancial. Si quiere comentar en la pregunta o la respuesta, sólo use la herramienta de comentarios. Recuerde que siempre puede revise sus respuestas - no hay necesidad de responder dos veces la misma pregunta. También no olvide votar - ¡ayuda realmente a seleccionar las mejores preguntas y respuestas!

Realizar una pregunta

Mantener informado

Sobre este foro 

Esta comunidad es para profesionales y entusiastas de nuestros productos y servicios.

Lea las directrices

Herramientas de las preguntas

64 seguidor(es)

Estadísticas

Preguntado: 22-01-18 15:04
Visto: 1250 veces
Última actualización: 23-01-18 2:49